﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZhonTai.Admin.Services.DiTuiAPI.Team.Dto
{
    public class TeamIndexOutput
    {
        /// <summary>
        /// ID
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 总人数
        /// </summary>
        public long HumanCount { get; set; }

        /// <summary>
        /// 总收益
        /// </summary>
        public decimal IncomeCount { get; set; }

        /// <summary>
        /// 邀请链接
        /// </summary>
        public string InviteUrl { get; set; }

        /// <summary>
        /// 默认抽成比例
        /// </summary>
        public int CommissionRatio { get; set; }

        /// <summary>
        /// 团队概况
        /// </summary>
        public TeamOverview TeamOverview { get; set; }

        /// <summary>
        /// 邀请教程流程图
        /// </summary>
        public string InviteDesc { get; set; }

        /// <summary>
        /// 邀请提示文字内容
        /// </summary>
        public List<string> InviteTips { get; set; }

        /// <summary>
        /// 邀请按钮图片
        /// </summary>
        public string InviteButton { get; set; }

        /// <summary>
        /// 邀请顶部图片
        /// </summary>
        public string InviteTitle { get; set; }

    }

    public class TeamOverview
    {
        /// <summary>
        /// 下级总数
        /// </summary>
        public long LowerCount { get; set; }

        /// <summary>
        /// 当日新增
        /// </summary>
        public long TodayAdd { get; set; }

        /// <summary>
        /// 七日新增
        /// </summary>
        public long WeekAdd { get; set; }
    }
}
